summaryrefslogtreecommitdiff
path: root/bin/mailsync
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-02-21 10:14:17 -0500
committerLuke Smith <luke@lukesmith.xyz>2019-02-21 10:14:17 -0500
commit03279ea318805b3fa7545f01385485e8053daea5 (patch)
treeb015842b634f78d2f0f3a275ef561a75c153dab8 /bin/mailsync
parentf2dcd92c30d4d595a3daa4f8e977ffb967839b69 (diff)
rewrite underway
Diffstat (limited to 'bin/mailsync')
-rwxr-xr-xbin/mailsync43
1 files changed, 43 insertions, 0 deletions
diff --git a/bin/mailsync b/bin/mailsync
new file mode 100755
index 0000000..629f044
--- /dev/null
+++ b/bin/mailsync
@@ -0,0 +1,43 @@
+#!/usr/bin/env sh
+# This script will run offlineimap and check
+# for new email if there is an internet connection.
+#
+# If it detects new mail, it uses mpv to play a
+# notification sound: notify.opus
+#
+# I have this run as a cronjob every 5 minutes.
+
+export DISPLAY=:0.0
+
+# Checks for internet connection and set notification script.
+ping -q -c 1 1.1.1.1 > /dev/null || exit
+# Settings are different for MacOS (Darwin) systems.
+if [ "$(uname)" = "Darwin" ]
+then
+ notify() { osascript -e "display notification \"$2 in $1\" with title \"You've got Mail\" subtitle \"Account: $account\"" && sleep 2 ;}
+else
+ notify() { mpv --really-quiet ~/.config/mutt/bin/notify.opus & pgrep -x dunst && notify-send -i ~/.config/mutt/bin/email.gif "$2 new mail(s) in \`$1\` account." ;}
+fi
+
+echo " 🔃" > /tmp/imapsyncicon
+pkill -RTMIN+12 i3blocks
+
+# Run offlineimap. You can feed this script different settings.
+offlineimap -o "$@"
+rm -f /tmp/imapsyncicon
+pkill -RTMIN+12 i3blocks
+
+# Check all accounts/mailboxes for new mail. Notify if there is new content.
+for account in $(ls ~/.local/share/mail)
+do
+ #List unread messages newer than last mailsync and count them
+ newcount=$(find ~/.mail/"$account"/INBOX/new/ -type f -newer ~/.config/mutt/bin/.mailsynclastrun 2> /dev/null | wc -l)
+ if [ "$newcount" -gt "0" ]
+ then
+ notify "$account" "$newcount" &
+ fi
+done
+notmuch new
+
+#Create a touch file that indicates the time of the last run of mailsync
+touch ~/.config/mutt/bin/.mailsynclastrun